- GET /monitor#
When the bank provides conversion between the local currency and an external one, this call lets the bank administrator monitor the cashin and cashout operations that were made from and to the external currency. It shows as well figures related to internal payments made by a Taler exchange component to internal bank accounts. Timeframes are in UTC.
Request:
- Query Parameters:
timeframe –
Optional. This parameter admits one of the following values. Defaults to ‘hour’.
hour
day
month
year
date_s – Optional. Non-negative date in seconds after the UNIX Epoch. Defaults to current time. @since v4
which –
Optional. This parameter points at a particular element of the timeframe parameter. Following are the admitted values for each one. Defaults to the last snapshot taken of the timeframe parameter. @deprecated since v4
hour: from 00 to 23
day: from 1 to the last day of the current month.
month: from 1 to 12
year: Gregorian year in the YYYY format.
Response:
- 200 OK:
The bank responds with MonitorResponse.
- 400 Bad Request:
This error may indicate that the which parameter is not appropriate for the selected timeframe. For example, timeframe=month and which=20 would result in this error.
- 401 Unauthorized:
Invalid or missing credentials.
- 403 Forbidden:
Missing rights.
Details:
Note
API consumers may combine the values in the response with other factors to serve different views to their users.
// Union discriminated by the "type" field. type MonitorResponse = | MonitorNoConversion | MonitorWithConversion;
// Monitoring stats when conversion is not supported interface MonitorNoConversion { type: "no-conversions"; // How many payments were made to a Taler exchange by another // bank account. talerInCount: Integer; // Overall volume that has been paid to a Taler // exchange by another bank account. talerInVolume: Amount; // How many payments were made by a Taler exchange to another // bank account. talerOutCount: Integer; // Overall volume that has been paid by a Taler // exchange to another bank account. talerOutVolume: Amount; }
// Monitoring stats when conversion is supported interface MonitorWithConversion { type: "with-conversions"; // How many cashin operations were confirmed by a // wallet owner. Note: wallet owners // are NOT required to be customers of the libeufin-bank. cashinCount: Integer; // Overall regional currency that has been paid by the regional admin account // to regional bank accounts to fulfill all the confirmed cashin operations. cashinRegionalVolume: Amount; // Overall fiat currency that has been paid to the fiat admin account // by fiat bank accounts to fulfill all the confirmed cashin operations. cashinFiatVolume: Amount; // How many cashout operations were confirmed. cashoutCount: Integer; // Overall regional currency that has been paid to the regional admin account // by fiat bank accounts to fulfill all the confirmed cashout operations. cashoutRegionalVolume: Amount; // Overall fiat currency that has been paid by the fiat admin account // to fiat bank accounts to fulfill all the confirmed cashout operations. cashoutFiatVolume: Amount; // How many payments were made to a Taler exchange by another // bank account. talerInCount: Integer; // Overall volume that has been paid to a Taler // exchange by another bank account. talerInVolume: Amount; // How many payments were made by a Taler exchange to another // bank account. talerOutCount: Integer; // Overall volume that has been paid by a Taler // exchange to another bank account. talerOutVolume: Amount; }